[Mesa-dev] [PATCH] mesa: don't touch git_sha1.h if sha1 didn't change
Marcin Slusarz
marcin.slusarz at gmail.com
Sun May 1 14:53:33 PDT 2011
Less recompiles...
---
bin/extract_git_sha1 | 8 ++++++--
1 files changed, 6 insertions(+), 2 deletions(-)
diff --git a/bin/extract_git_sha1 b/bin/extract_git_sha1
index e6e6731..fc7bf85 100755
--- a/bin/extract_git_sha1
+++ b/bin/extract_git_sha1
@@ -1,10 +1,14 @@
#!/bin/sh
-touch src/mesa/main/git_sha1.h
if which git > /dev/null; then
# Extract the 7-digit "short" SHA1 for the current HEAD, convert
# it to a string, and wrap it in a #define. This is used in
# src/mesa/main/version.c to put the GIT SHA1 in the GL_VERSION string.
git log -n 1 --oneline |\
sed 's/^\([^ ]*\) .*/#define MESA_GIT_SHA1 "git-\1"/' \
- > src/mesa/main/git_sha1.h
+ > src/mesa/main/git_sha1.h.tmp
+ if ! diff src/mesa/main/git_sha1.h.tmp src/mesa/main/git_sha1.h >/dev/null; then
+ mv src/mesa/main/git_sha1.h.tmp src/mesa/main/git_sha1.h
+ fi
+else
+ touch src/mesa/main/git_sha1.h
fi
--
1.7.4.1
More information about the mesa-dev
mailing list